Package org.jfree.layouting.input.style.selectors

## Interface CSSSelector

- All Superinterfaces:
    `org.w3c.css.sac.Selector`, `java.io.Serializable`
  All Known Implementing Classes:
    `AbstractSelector`, `CSSAnyNodeSelector`, `CSSCharacterDataSelector`, `CSSConditionalSelector`, `CSSDescendantSelector`, `CSSElementSelector`, `CSSNegativeSelector`, `CSSRootNodeSelector`, `CSSSilblingSelector`

      public interface CSSSelector
      extends org.w3c.css.sac.Selector, java.io.Serializable

  Creation-Date: 05.12.2005, 19:50:03
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.css.sac.Selector

      `SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SelectorWeight` | `getWeight​()` |

    - ### Methods inherited from interface org.w3c.css.sac.Selector

      `getSelectorType`

- - ### Method Detail

    - #### getWeight

          SelectorWeight getWeight​()